
PHP_ARG_WITH(pdo_sqlanywhere, for pdo_sqlanywhere support,
[  --with-pdo-sqlanywhere             Include pdo_sqlanywhere support])

if test "$PHP_PDO_SQLANYWHERE" != "no"; then

  if test "$PHP_PDO" = "no" && test "$ext_shared" = "no"; then
    AC_MSG_ERROR([PDO is not enabled! Add --enable-pdo to your configure line.])
  fi

  ifdef([PHP_CHECK_PDO_INCLUDES],
  [
    PHP_CHECK_PDO_INCLUDES
  ],[
    AC_MSG_CHECKING([for PDO includes])
    if test -f $abs_srcdir/include/php/ext/pdo/php_pdo_driver.h; then
      pdo_inc_path=$abs_srcdir/ext
    elif test -f $abs_srcdir/ext/pdo/php_pdo_driver.h; then
      pdo_inc_path=$abs_srcdir/ext
    elif test -f $prefix/include/php/ext/pdo/php_pdo_driver.h; then
      pdo_inc_path=$prefix/include/php/ext
    else
      AC_MSG_ERROR([Cannot find php_pdo_driver.h.])
    fi
    AC_MSG_RESULT($pdo_inc_path)
  ])
  php_pdo_sqlanywhere_sources_core="pdo_sqlanywhere.c sqlanywhere_driver.c sqlanywhere_statement.c sacapidll.c"

  PHP_NEW_EXTENSION(pdo_sqlanywhere, $php_pdo_sqlanywhere_sources_core, $ext_shared,,-I$pdo_inc_path)
  AC_DEFINE(HAVE_PDO_SQLANYWHERE, 1, [ Whether you have PDO SqlAnywhere ])
  ifdef([PHP_ADD_EXTENSION_DEP],
  [
    PHP_ADD_EXTENSION_DEP(pdo_sqlanywhere, pdo)
  ])
fi
